Index: sasmodels/compare.py
===================================================================
--- sasmodels/compare.py	(revision d19962c0471a0eee538ce03020b5b226ba2752f6)
+++ sasmodels/compare.py	(revision fa1582e600d4da130f72b038d8310888e0bb6894)
@@ -784,4 +784,6 @@
     n1 = int(args[1]) if len(args) > 1 else 1
     n2 = int(args[2]) if len(args) > 2 else 1
+    use_sasview = any(engine=='sasview' and count>0
+                      for engine, count in zip(engines, [n1, n2]))
 
     # Get demo parameters from model definition, or use default parameters
@@ -811,5 +813,6 @@
     #import pprint; pprint.pprint(model_info)
     constrain_pars(model_info, pars)
-    constrain_new_to_old(model_info, pars)
+    if use_sasview:
+        constrain_new_to_old(model_info, pars)
     if opts['show_pars']:
         print(str(parlist(model_info, pars, opts['is2d'])))
Index: sasmodels/convert.py
===================================================================
--- sasmodels/convert.py	(revision ce896fde473387374a3fcfc3918ce7a13676b16c)
+++ sasmodels/convert.py	(revision 2a3e1f507e690f45c1529e7d23d9f8fccf7e5008)
@@ -138,5 +138,7 @@
     namelist = name.split('*') if '*' in name else [name]
     for name in namelist:
-        if name == 'pearl_necklace':
+        if name == 'stacked_disks':
+            _remove_pd(oldpars, 'n_stacking', name)
+        elif name == 'pearl_necklace':
             _remove_pd(oldpars, 'num_pearls', name)
             _remove_pd(oldpars, 'thick_string', name)
Index: sasmodels/models/_spherepy.py
===================================================================
--- sasmodels/models/_spherepy.py	(revision 49da0794022419abc59514fd36d5fed434d4075b)
+++ sasmodels/models/_spherepy.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
@@ -1,6 +1,5 @@
 r"""
-For information about polarised and magnetic scattering, click here_.
-
-.. _here: polar_mag_help.html
+For information about polarised and magnetic scattering, see 
+the :doc:`magnetic help <../sasgui/perspectives/fitting/mag_help>` documentation.
 
 Definition
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision 0cc31e163b64eca925abbec18fe8338cc1fc7450)
+++ sasmodels/models/fuzzy_sphere.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
@@ -1,6 +1,5 @@
 r"""
-For information about polarised and magnetic scattering, click here_.
-
-.. _here: polar_mag_help.html
+For information about polarised and magnetic scattering, see 
+the :doc:`magnetic help <../sasgui/perspectives/fitting/mag_help>` documentation.
 
 Definition
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision c6ca41e077aa705fcd195f07f143a6daaf729840)
+++ sasmodels/models/multilayer_vesicle.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
@@ -29,9 +29,6 @@
     is used as the effective radius for *S(Q)* when $P(Q) * S(Q)$ is applied.
 
-
-
-For information about polarised and magnetic scattering, click here_.
-
-.. _here: polar_mag_help.html
+For information about polarised and magnetic scattering, see 
+the :doc:`magnetic help <../sasgui/perspectives/fitting/mag_help>` documentation.
 
 This code is based on the form factor calculations implemented in the NIST
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 49da0794022419abc59514fd36d5fed434d4075b)
+++ sasmodels/models/sphere.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
@@ -1,6 +1,5 @@
 r"""
-For information about polarised and magnetic scattering, click here_.
-
-.. _here: polar_mag_help.html
+For information about polarised and magnetic scattering, see 
+the :doc:`magnetic help <../sasgui/perspectives/fitting/mag_help>` documentation.
 
 Definition
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision e664a1142e1d78d069b30f4e992cf69b4984ce9a)
+++ sasmodels/models/stacked_disks.py	(revision 53215cfe7c83e780da26e7549f7f4aa8555e8261)
@@ -100,4 +100,9 @@
 J S Higgins and H C Benoit, *Polymers and Neutron Scattering*, Clarendon, Oxford, 1994
 
+**Author:** NIST IGOR/DANSE **on:** pre 2010
+
+**Last Modified by:** Piotr Rozyczko **on:** February 18, 2016
+
+**Last Reviewed by:** Richard Heenan **on:** March 22, 2016
 """
 
@@ -157,5 +162,6 @@
 
 tests = [
-    # Accuracy tests based on content in test/utest_extra_models.py
+    # Accuracy tests based on content in test/utest_extra_models.py.
+    # Added 2 tests with n_stacked = 5 using SasView 3.1.2 - PDB
     [{'core_thick': 10.0,
       'layer_thick': 15.0,
@@ -171,4 +177,32 @@
       'background': 0.001,
      }, 0.001, 5075.12],
+
+    [{'core_thick': 10.0,
+      'layer_thick': 15.0,
+      'radius': 3000.0,
+      'n_stacking': 5.0,
+      'sigma_d': 0.0,
+      'sld_core': 4.0,
+      'sld_layer': -0.4,
+      'solvent_sd': 5.0,
+      'theta': 0.0,
+      'phi': 0.0,
+      'scale': 0.01,
+      'background': 0.001,
+     }, 0.001, 5065.12793824],
+
+    [{'core_thick': 10.0,
+      'layer_thick': 15.0,
+      'radius': 3000.0,
+      'n_stacking': 5.0,
+      'sigma_d': 0.0,
+      'sld_core': 4.0,
+      'sld_layer': -0.4,
+      'solvent_sd': 5.0,
+      'theta': 0.0,
+      'phi': 0.0,
+      'scale': 0.01,
+      'background': 0.001,
+     }, 0.164, 0.0127673597265],
 
     [{'core_thick': 10.0,
